﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using SuperMap.Desktop;
using System.Windows.Forms;

namespace SuperMap.Desktop.Samples
{
    class CtrlActionBindGroup : CtrlAction
    {

        public CtrlActionBindGroup(IBaseItem caller)
            : base(caller)
        {

        }

        public override void Run()
        {
            IFormManager formManager = Application.ActiveApplication.MainForm.FormManager;
            List<IForm> bindForms = new List<IForm>();
            for (Int32 index = 0; index < formManager.Count; index++)
            {
                bindForms.Add(formManager[index]);
            }
            formManager.BindForms(bindForms.ToArray(), true);
        }

        public override bool Enable()
        {
            IFormManager formManager = Application.ActiveApplication.MainForm.FormManager;
            if (formManager.Count > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
    }
}
